#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA7,0x0B,0x88,0x4E,0x0D,0xBD,0xEB,0xCA,0x7E,0x7B,0x99,0x53,
		0x8B,0x9F,0x6C,0x75,0x27,0xE9,0x74,0x0F,0x47,0x05,0x18,0xFE,
		0xD1,0xF4,0x93,0x7C,0xBD,0x57,0x52,0x6B,0xEA,0x56,0x0A,0xC4,
		0x68,0xE0,0xE3,0x90,0x2F,0xC1,0x83,0x06,0x72,0x91,0x0B,0xD4,
		0x18,0x60,0x49,0x2D,0x9F,0x2D,0x94,0x52,0xF9,0xD8,0xCC,0x97,
		0xA4,0xBF,0xF3,0xC3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
